//---------------------------------------------------------------------------

#ifndef DataDownloadH
#define DataDownloadH
#include "PCIE.h"
//---------------------------------------------------------------------------
class TDataDownload{
protected:
    PCIE m_FPGA;
    DWORD m_dwDataSize;
    BYTE *m_pData;
    bool m_bFPGAReady;
public:
    __fastcall TDataDownload();
    __fastcall ~TDataDownload();
    bool __fastcall SetData(BYTE * pData, DWORD dwDataSize);
    bool __fastcall Download(void);
    bool __fastcall IsFull(void);
    bool IsReady(void);
    DWORD __fastcall DataSize(void);
};
#endif
 